package com.zhaohaoting.framework.dto;

import java.util.ArrayList;
import java.util.List;

/**
 * author：Created by zhaohaoting on 2018/8/2
 * email：526309416@qq.com
 * desc：
 */
public class RegionProvinceDTO<T> {


    private T province;
    public List<CityDTO<T>> cityList = new ArrayList<>();

    public List<CityDTO<T>> getCityList() {
        return cityList;
    }

    public RegionProvinceDTO(T province) {
        this.province = province;
    }

    public T getProvince() {
        return province;
    }

    public static class CityDTO<T> {
        private T city;
        public List<DistrictDTO<T>> districtList = new ArrayList<>();

        public List<DistrictDTO<T>> getDistrictList() {
            return districtList;
        }

        public CityDTO(T city) {
            this.city = city;
        }

        public T getCity() {
            return city;
        }

        public static class DistrictDTO<T> {
            T district;

            public DistrictDTO(T district) {
                this.district = district;
            }

            public T getDistrict() {
                return district;
            }
        }
    }
}
